

data ssn_list;
input ssn  @@;
datalines;
123456789 234567890 345678901 456789012
;
run;

proc sql noprint;
select ssn into :ssnok
separated by ' '
from ssn_list;
quit;

%put &ssnok;

options mprint;

data selected;
attrib ssn length=5 format=ssn.;
infile 'd:\epi697\macros\ssn.txt';
input @1 ssn 9. @;
*** use the macro variable (a list of SSNs) to filter records;
if ssn not in (&ssnok) then return;
input
@10 x1   $10.
@20 x2   $10.
;
output;
run;

title "RECORDS SELECT WITH &SSNOK";
proc print data=selected;
run;