data ssn_list;
informat ssn $9.;
input ssn  @@;
datalines;
123456789 234567890 345678901 456789012
;
run;

proc sql noprint;
select quote(ssn) into :ssnok
separated by ' and ssn ne '
from ssn_list;
quit;

%put &ssnok;

data selected;
infile 'd:\epi697\macros\ssn.txt';
input @1 ssn $9. @;
*** use the macro variable (a list of SSNs) to filter records;
if ssn ne &ssnok then return;
input
@10 x1   $10.
@20 x2   $10.
;
output;
run;

title "RECORDS SELECTD WITH SSN AS CHARACTER VARIABLE";
proc print data=selected;
run;