
proc sql noprint;
select quote(pfi) into :lowcount
separated by ' '
from mydata
group by pfi
having count(*) lt 100;
quit;

%put &lowcount;

proc univariate data=mydata;
where pfi not in (&lowcount);
var los;
run;